@echo off
if (%2)==() goto syntax
if not (%1)==() goto ok
:syntax
echo USAGE: %0 c: \games\war2
goto end
:error1
cls
echo Installation was not completed, possible reasons listed below:
echo 1) Target drive does not exist.
echo 2) Your chosen path is invalid.
echo 3) The target drive is not write enabled.
echo 4) Or something else I didn't think off.
echo	- Enjoy, Judge Dredd.
echo.
goto end
:error2
cls
echo Installation was not completed, possible reasons listed below: 
echo 1) You ran out of diskspace on the target drive
echo 2) One or more of the compressed data files are corrupted.
echo 3) You interrupted the decompression process.
echo 4) Or something else I didn't think off
echo	- Enjoy, Judge Dredd.
echo.
goto end
:ok
fit 109000000 %1
if errorlevel 3 goto error1
if errorlevel 2 goto error1
cls
type judge.nfo | more
pause
echo Attempting to create %2
makeit %1%2\puds
if not exist %1%2\puds\nul goto error1
if not exist %1%2\war2.exe goto error1
rar.exe x fnlconfl.001 %1%2\puds
if errorlevel 1 goto error2
cls
echo Done installing, have a nice day.
:end